Subject: bug#45267: Using gnome-keyring and LXQt as Desktop Environment

From: Leo Prikler <[email-masked]>
Date: Fri, 18 Dec 2020 14:27:41 +0100

Hello Hamzeh,

the gnome-keyring service is not the only place, in which gnome-keyring 
is used.  As far as I understand, all it does is unlocking your login
keyring; you have to ensure on your own, that the keyring argument
passed to it matches the keyring used by your applications.

I think you have two options going ahead.  One would be to mark your
keyring as a replacement to the existing one.  That would require the
non-trivial effort of maintaining a Guix fork while the patch is not
upstreamed and lobbying for its inclusion in mainline Guix.  Is there
some merit in adding LXQt to this line or even dropping it entirely? 
The second would be to replace gnome-keyring in every package using it
through package transformations.

Regards, 
Leo